## BETWEEN predicate

The BETWEEN predicate (between_predicate) is a predicate that checks whether a value lies in a predefined interval.

### Syntax

<between_predicate> ::= <expression> [NOT] BETWEEN <expression> AND <expression>

### Examples

SQL Tutorial, Conditions: Comparison, AND, OR, BETWEEN, IN, Negative Conditions: NOT

### Explanation

Let x, y, and z be the results of the first, second, and third expression. The values x,y,z must be comparable.

| Result of the specified predicate
x BETWEEN y AND z | x>=y AND x<=z
x NOT BETWEEN y AND z | NOT(x BETWEEN y AND z)
x, y, or z are NULL values | x [NOT] BETWEEN y AND z is undefined